package net.sf.sido;

import net.sf.jstring.LocalizableException;

public abstract class DOException extends LocalizableException {

	private final DOKey key;

	public DOException(DOKey key, Object... parameters) {
		super("sido." + key, parameters);
		this.key = key;
	}

	public DOException(DOKey key, Throwable th, Object... parameters) {
		super(key, th, parameters);
        this.key = key;
	}

	public DOKey getKey() {
		return this.key;
	}

}
